Subject: bug#10374: 3 test failures on fedora 16

From: Stefano Lattarini <[email-masked]>
Date: Mon, 26 Dec 2011 23:14:29 +0100

Hi Jim.

On 12/26/2011 11:07 PM, Jim Meyering wrote:
> Hello,
> I was surprised to see test failures on Fedora 16.
> 
> At least the color2 failure seems to be due to a difference
> in how expect works.
> 
>     + expect -f expect-make
>     + cat stdout
>     + spawn make -e check
> 
> Here, its "expect -f expect-make" invocation
> produces only one line of output, while on Debian unstable it
> produces the expected colorized make output.
>
I think this might have been fixed by commit `v1.11-1581-g1ca9efa';
since I've just merged the `testsuite-work' branch into master, the
fix should be now on master as well; could you give it a try?

> The versions of expect are the same. 

> FAIL: lex3.test (exit: 2)
> =========================
> 
> [SNIP]
>
> config.status: executing depfiles commands
> + make
> /bin/sh ./ylwrap foo.l lex.yy.c foo.c -- flex
> gcc -DPACKAGE_NAME=\"lex3\" -DPACKAGE_TARNAME=\"lex3\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"lex3\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"lex3\" -DVERSION=\"1.0\" -I.      -MT foo.o -MD -MP -MF .deps/foo.Tpo -c -o foo.o foo.c
> foo.l:24:5: error: redefinition of 'yywrap'
> foo.l:18:5: note: previous definition of 'yywrap' was here
> make: *** [foo.o] Error 1
> + exit_status=2
> + set +e
> + cd /h/j/w/co/automake/tests
> + case $exit_status,$keep_testdirs in
> + test 0 '!=' 0
> + echo 'lex3: exit 2'
> lex3: exit 2
> + exit 2
>
Similarly, this should be fixed by commit `v1.11-1580-g18bdec7'.  Care to
double-check?

Thanks, and sorry for the noise,
  Stefano